<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<root>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor com.intellij.openapi.fileTypes.FileType getFileType()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3494.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams java.lang.String getKeyIndex()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor java.util.List&lt;? extends com.intellij.psi.PsiElement&gt; getDocumentAnchors(com.intellij.psi.PsiFile, com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootPropertiesFileUtil java.util.List&lt;com.intellij.microservices.jvm.config.properties.MicroservicePropertiesDocument&gt; getDocuments(com.intellij.psi.PsiFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams com.intellij.openapi.module.Module getModule()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5087.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootPropertiesFileUtil com.intellij.spring.boot.model.SpringBootPropertiesFileUtil getInstance()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher SpringBootConfigValueSearcher(com.intellij.openapi.module.Module, boolean, java.lang.String, boolean, boolean, java.util.Set&lt;java.lang.String&gt;, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams ConfigurationValueSearchParams(com.intellij.openapi.module.Module, boolean, java.util.Set&lt;java.lang.String&gt;, com.intellij.microservices.jvm.config.MetaConfigKey, java.lang.String, java.lang.String, boolean, java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; findConfigFiles(com.intellij.openapi.module.Module, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher com.intellij.spring.boot.model.SpringBootConfigValueSearcher productionForAllProfiles(com.intellij.openapi.module.Module, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootPropertiesFileUtil">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; findCustomConfigFiles(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor void processImports(com.intellij.spring.boot.model.ConfigurationValueSearchParams, com.intellij.openapi.vfs.VirtualFile, java.util.List&lt;com.intellij.spring.boot.model.ConfigurationValueResult&gt;, int)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams com.intellij.spring.boot.model.ConfigurationValueSearchParams copy(com.intellij.openapi.module.Module, boolean, java.util.Set&lt;java.lang.String&gt;, com.intellij.microservices.jvm.config.MetaConfigKey, java.lang.String, java.lang.String, boolean, java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher boolean processConfigFilesWithPropertySources(com.intellij.spring.boot.model.ConfigurationValueSearchParams, boolean, com.intellij.util.Processor&lt;com.intellij.spring.boot.model.ConfigurationValueResult&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor com.intellij.openapi.util.Pair&lt;java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;,java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;&gt; findConfigFiles(com.intellij.openapi.vfs.VirtualFile, com.intellij.openapi.fileTypes.FileType, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams java.lang.String component5()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams java.lang.String component6()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor.CustomizationPresentation">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedFilesetsSearcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt; getProcessedFiles()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher com.intellij.spring.boot.model.SpringBootConfigValueSearcher productionForAllProfiles(com.intellij.openapi.module.Module, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor.CustomizationPresentation getCustomizationPresentation()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; getConfigurationFiles(com.intellij.openapi.module.Module, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.3544.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams boolean component7()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigFileAdditionalFilesContributor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;172.1909.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; collectImports(com.intellij.openapi.module.Module, java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams com.intellij.openapi.module.Module component1()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.5087.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; findConfigFiles(com.intellij.openapi.module.Module, boolean, com.intellij.openapi.util.Condition&lt;? super com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams com.intellij.spring.boot.model.ConfigurationValueSearchParams withProcessImports(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor.CustomSettingDescriptor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; findConfigFiles(com.intellij.openapi.module.Module, java.util.Set&lt;java.lang.String&gt;, boolean, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor void setUseResourceRootsForTests(boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2941.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor boolean processAllKeys(com.intellij.psi.PsiFile, com.intellij.util.Processor&lt;com.intellij.openapi.util.Pair&lt;com.intellij.psi.PsiElement,com.intellij.psi.PsiElement&gt;&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; findConfigFilesWithImports(com.intellij.openapi.module.Module, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor SpringBootModelConfigFileNameContributor(com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor.CustomSettingDescriptor, com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor.CustomSettingDescriptor, com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor.CustomizationPresentation)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor.CustomSettingDescriptor getCustomNameSettingDescriptor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher com.intellij.spring.boot.model.SpringBootConfigValueSearcher productionForProfiles(com.intellij.openapi.module.Module, java.lang.String, java.util.Set&lt;java.lang.String&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2099.1&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelExtender">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2941.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService CONFIGURATION_FILE_MARKER_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;232.8660.185&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigImport">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher.Companion com.intellij.spring.boot.model.SpringBootConfigValueSearcher productionForProfiles(com.intellij.openapi.module.Module, java.lang.String, java.util.Set&lt;java.lang.String&gt;, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueResult">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.3494.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams ConfigurationValueSearchParams(com.intellij.openapi.module.Module, boolean, java.util.Set&lt;java.lang.String&gt;, com.intellij.microservices.jvm.config.MetaConfigKey)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; getConfigFileDirectories(com.intellij.openapi.module.Module, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigFileModificationTracker">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueResult ConfigurationValueResult(com.intellij.psi.PsiElement, java.lang.String, com.intellij.psi.PsiElement, java.lang.String, int, com.intellij.microservices.jvm.config.MetaConfigKey, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams java.util.Set&lt;com.intellij.openapi.vfs.VirtualFile&gt; component8()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootImplicitBeansProvider">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.4203.6&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor java.lang.String getSpringConfigName(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor boolean isProfileRelevant(com.intellij.spring.boot.model.ConfigurationValueSearchParams, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;203.5981.155&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedModelsSearcher.LauncherConfigurations">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor java.util.List&lt;com.intellij.spring.boot.model.SpringBootConfigImportStatement&gt; getImportStatements(com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedModelsSearcher.LauncherConfigurations java.util.Set&lt;com.intellij.psi.PsiClass&gt; configurations()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedModelsSearcher.LauncherConfigurations org.jetbrains.uast.UCallExpression expression()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams boolean getProcessImports()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams ConfigurationValueSearchParams(com.intellij.openapi.module.Module, boolean, java.util.Set&lt;java.lang.String&gt;, com.intellij.microservices.jvm.config.MetaConfigKey, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher.Companion java.util.Set&lt;java.lang.String&gt; clearDefaultTestProfile(java.util.Set&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.2941.3&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; findConfigFiles(com.intellij.openapi.vfs.VirtualFile, java.util.Set&lt;java.lang.String&gt;, boolean, com.intellij.openapi.fileTypes.FileType, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams com.intellij.microservices.jvm.config.MetaConfigKey component4()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedModelsSearcher.LauncherConfigurations boolean equals(java.lang.Object)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigImportStatement">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedModelsSearcher">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;231.8109.175&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams PROCESS_ALL_VALUES">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt; findPropertySources(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueResult com.intellij.microservices.jvm.config.MetaConfigKey getConfigKey()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher.Companion com.intellij.spring.boot.model.SpringBootConfigValueSearcher productionForAllProfiles(com.intellij.openapi.module.Module, java.lang.String, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigFileModificationTracker.MyVirtualFileListener MyVirtualFileListener()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams java.lang.String getKeyProperty()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher.Companion boolean processConfigFilesWithPropertySources(com.intellij.spring.boot.model.ConfigurationValueSearchParams, boolean, com.intellij.util.Processor&lt;com.intellij.spring.boot.model.ConfigurationValueResult&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor com.intellij.openapi.util.Pair&lt;java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;,java.util.List&lt;com.intellij.openapi.vfs.VirtualFile&gt;&gt; findApplicationConfigFiles(com.intellij.openapi.module.Module, boolean, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueResult com.intellij.microservices.jvm.config.MetaConfigKeyReference&lt;? extends com.intellij.psi.PsiElement&gt; getMetaConfigKeyReference()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueResult int getDocumentId()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootApplicationLocalModel">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;193.5233.102&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConstantsKt">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedModelsSearcher.LauncherConfigurations java.util.Set&lt;com.intellij.spring.contexts.model.LocalAnnotationModel&gt; getLocalModels(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootStarterFileSet">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor java.util.List&lt;com.intellij.spring.boot.model.ConfigurationValueResult&gt; findConfigurationValues(com.intellij.psi.PsiFile, com.intellij.spring.boot.model.ConfigurationValueSearchParams)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor.CustomSettingDescriptor getCustomFilesSettingDescriptor()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher.Companion com.intellij.spring.boot.model.SpringBootConfigValueSearcher productionForAllProfiles(com.intellij.openapi.module.Module, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService java.util.List&lt;com.intellij.spring.boot.model.SpringBootConfigImport&gt; getImports(com.intellij.openapi.module.Module, com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor java.util.List&lt;java.lang.String&gt; getCustomConfigFileUrls(com.intellij.openapi.module.Module)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootApplicationConfigFileNameContributor">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher com.intellij.spring.boot.model.SpringBootConfigValueSearcher productionForProfiles(com.intellij.openapi.module.Module, java.lang.String, java.util.Set&lt;java.lang.String&gt;, java.lang.String, java.lang.String)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootApplicationLocalModel SpringBootApplicationLocalModel(com.intellij.psi.PsiClass, com.intellij.openapi.module.Module, java.util.Set&lt;java.lang.String&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedModelsSearcher.LauncherConfigurations int hashCode()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigurationFileService SPRING_CONFIG_IMPORT_KEY">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;242.20224.300&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor.ConfigurationValueResult com.intellij.spring.boot.application.metadata.MetaConfigKeyReference getMetaConfigKeyReference()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;181.2784.17&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams ConfigurationValueSearchParams(com.intellij.openapi.module.Module, com.intellij.microservices.jvm.config.MetaConfigKey)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootImplicitUsageProvider SpringBootImplicitUsageProvider()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueSearchParams com.intellij.microservices.jvm.config.MetaConfigKey getConfigKey()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;221.5080.210&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueResult java.lang.String getKeyIndexText()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;191.4212.41&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor java.util.List&lt;? extends com.intellij.psi.PsiElement&gt; getDocumentAnchors(com.intellij.openapi.project.Project, com.intellij.openapi.vfs.VirtualFile, java.util.Set&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigFileDetector">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;222.3345.118&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher.Companion com.intellij.spring.boot.model.SpringBootConfigValueSearcher productionForProfiles(com.intellij.openapi.module.Module, java.lang.String, java.util.Set&lt;java.lang.String&gt;, boolean)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;233.11799.241&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.ConfigurationValueResult java.lang.String getProfileText()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootConfigValueSearcher java.util.Set&lt;java.lang.String&gt; clearDefaultTestProfile(java.util.Set&lt;java.lang.String&gt;)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;211.6693.111&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileContributor com.intellij.spring.boot.model.SpringBootModelConfigFileContributor getContributor(com.intellij.openapi.vfs.VirtualFile)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;213.5744.223&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor javax.swing.Icon getFileIcon()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2371.4&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootAutodetectedModelsSearcher.LauncherConfigurations java.lang.String toString()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;241.14494.240&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootPropertiesFileUtil.Companion com.intellij.spring.boot.model.SpringBootPropertiesFileUtil getInstance()">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;243.21565.193&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootApplicationFileSet">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;251.23774.435&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootApplicationSetupInspection">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;182.2949.2&quot;"/>
    </annotation>
  </item>
  <item name="com.intellij.spring.boot.model.SpringBootModelConfigFileNameContributor boolean accept(com.intellij.spring.facet.SpringFileSet)">
    <annotation name="org.jetbrains.annotations.ApiStatus.AvailableSince">
      <val name="value" val="&quot;173.3415.22&quot;"/>
    </annotation>
  </item>
</root>
